@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Fira+Sans+Condensed:wght@300;400;600;800;900&display=swap');

/*
font-family: 'Archivo Black', sans-serif;
font-family: 'Fira Sans Condensed', sans-serif;
*/

/* Error Color: #B00020 */

/*  RESETS  */

article, header, footer, div, section, span, label,
audio, video, canvas, form, main, em, b, p, i, a,
h1, h2, h3, h4, h5, h6, input, meter, ul, li, dt,
aside, address, html, body, dd, dl, figcaption, q,
figure, fieldset, legend, img, nav, select, option,
ol, small, strong, sub, sup, textarea, time, button {
    margin: 0;
    padding: 0;
    font-kerning: none;
    font-family: 'Fira Sans Condensed', sans-serif;
}

/*  END: RESETS  */

/*  UTILITIES  */

.bold { font-weight: 700; }

.no_display { display: none !important; }

.display_block { display: block; }

.display_inline_block { display: inline-block; }

.unset_width { width: unset !important; }

.centered { margin: 0 auto; }

.float_left { float: left !important; }

.float_right { float: right !important; }

.clear_left { clear: left; }

.clear_right { clear: right; }

.full_width { width: 100%; }

.half_width { width: 50%; }

.full_height { height: 100% !important; }

.half_height { height: 50%; }

.no_text_indent { text-indent: unset !important; }

.no_top_margin { margin-top: unset !important; }

.no_left_margin { margin-left: unset !important; }

.no_right_margin { margin-right: unset !important; }

.unset_border { border: unset !important; }

.padding_top_200 { padding-top: 200px; }

.margin_top_10 { margin-top: 10px; }

.margin_top_20 { margin-top: 20px; }

.margin_left_20 { margin-left: 20px; }

.margin_right_10 { margin-right: 10px; }

.margin_right_20 { margin-right: 20px; }

.margin_bottom_20 { margin-bottom: 20px; }

.relative_position { position: relative; }

.overflow_x_scroll { overflow-x: scroll; }

.overflow_y_scroll { overflow-y: scroll; }

.palette_1 { background-color: #f8f9fa; } /* rgb(248, 249, 250) */

.palette_2 { background-color: #e9ecef; } /* rgb(233, 236, 239) */

.palette_3 { background-color: #dee2e6; } /* rgb(222, 226, 230) */

.palette_4 { background-color: #ced4da; } /* rgb(206, 212, 218) */

.palette_5 { background-color: #adb5bd; } /* rgb(173, 181, 189) */

.palette_6 { background-color: #6c757d; } /* rgb(108, 117, 125) */

.palette_7 { background-color: #495057; } /* rgb(73, 80, 87) */

.palette_8 { background-color: #343a40; } /* rgb(52, 58, 64) */

.palette_9 { background-color: #212529; } /* rgb(33, 37, 41) */

.palette_complimentary_1 { background-color: #4E88C2; }

.palette_triad_1 { background-color: #797E54; }

.palette_triad_2 { background-color: #7E5754; }

.bullet {
    font-size: 16px;
    font-weight: 900;
}

.half_container {
    width: 50%;
    height: 100%;
}

.half_height_container {
    width: 100%;
    height: 50%;
}

.third_container {
    width: 33.33%;
    height: 100%;
}

.two_thirds_container {
    width: 66.66%;
    height: 100%;
}

.quarter_container {
    width: 25%;
    height: 100%;
}

.fifth_container {
    width: 20%;
    height: 100%;
}

.three_quarter_container {
    width: 75%;
    height: 100%;
}

.forty_percent_container {
    width: 40%;
    height: 100%;
}

.sixty_percent_container {
    width: 60%;
    height: 100%;
}

.sub_header_icon {
    width: 32px;
    height: 32px;
    float: left;
    clear: left;
    margin-left: 20px;
}

.sub_header {
    width: 100%;
    height: 32px;
    display: block;
    color: #adb5bd;
    font-weight: 600;
    line-height: 32px;
    text-indent: 20px;
    text-transform: uppercase;
    text-shadow: 3px 3px 5px rgba(33, 37, 41, 1);
}

.fixed_logo {
    top: 20px;
    left: 20px;
    position: fixed;
}

.fixed_logo h1[role="heading"] { line-height: unset; }

section.form {
    width: calc(100% - 40px);
    height: calc(100% - 136px);
    display: block;
    margin-top: 64px;
    margin-left: 20px;
}

section.form_left {
    width: 70%;
    height: 100%;
    float: left;
    clear: left;
}

section.form_right {
    width: 30%;
    height: 100%;
    float: right;
}

.form_left .rounded_widget {
    width: calc(100% - 20px);
}

.rounded_widget {
    width: 100%;
    height: auto;
    display: block;
    overflow: hidden;
    padding-top: 20px;
    padding-bottom: 20px;
    position: relative;
    background: #343a40;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    transition-duration: .35s;
    transition-property: background, background-size, background-image, height;
    transition-timing-function: ease-out;
}

.rounded_widget.collapsed_widget {
    height: 32px;
    transition-duration: .35s;
    transition-property: height;
    transition-timing-function: ease-out;
}

.widget_description {
    font-size: .9vw;
    color: #adb5bd;
    font-weight: 300;
    padding-left: 20px;
    padding-right: 20px;
    text-align: justify;
}

.widget_toggle {
    width: 320px;
    height: 32px;
    margin-left: 20px;
}

.toggle_btn {
    width: 50%;
    height: 100%;
    border: none;
    outline: none;
    cursor: pointer;
    text-align: center;
    border: 2px solid #adb5bd;
    transition-duration: .35s;
    transition-property: background;
    transition-timing-function: ease-out;
}

.toggle_btn_left {
    float: left;
    clear: left;
    border-top-left-radius: 3px;
    -moz-border-top-left-radius: 3px;
    -webkit-border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
    -moz-border-bottom-left-radius: 3px;
    -webkit-border-bottom-left-radius: 3px;
}

.toggle_btn_right {
    float: right;
    background-position: left center;
    background-size: 24px;
    border-top-right-radius: 3px;
    -moz-border-top-right-radius: 3px;
    -webkit-border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
    -moz-border-bottom-right-radius: 3px;
    -webkit-border-bottom-right-radius: 3px;
}

.id_icon {
    color: #adb5bd;
    background: transparent url(../images/icons/hashtag-5.svg) no-repeat;
}

.id_icon[data-status="active"] {
    color: #212529;
    background: #adb5bd url(../images/icons/hashtag-9.svg) no-repeat;
}

.toggle_btn.username_icon {
    color: #adb5bd;
    background: transparent url(../images/icons/@-5.svg) no-repeat;
}

.toggle_btn.username_icon[data-status="active"] {
    color: #212529;
    background: #adb5bd url(../images/icons/@-9.svg) no-repeat;
}

.arena_icon-color_5 {
    background: url(../images/icons/arena-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.bonus_icon-color_5 {
    background: url(../images/icons/bonus-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.calendar_icon-color_5 {
    background: url(../images/icons/calendar-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.championship_belt_icon-color_5 {
    background: url(../images/icons/championship-belt-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.competitors_icon-color_5 {
    background: url(../images/icons/competitors-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.color_palette_icon-color_5 {
    background: url(../images/icons/color-palette-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.debate_icon-color_5 {
    background: url(../images/icons/debate-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.gaming_icon-color_5 {
    background: url(../images/icons/gamepad-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.in_house_game_icon-color_5 {
    background: url(../images/icons/in_house_game-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.music_icon-color_5 {
    background: url(../images/icons/music-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.parameters_icon-color_5 {
    background: url(../images/icons/configuration-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.press_conference_icon-color_5 {
    background: url(../images/icons/press-conference-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.press_conference_icon-2-color_5 {
    background: url(../images/icons/press-conference-5-v2.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.reward_icon-color_5 {
    background: url(../images/icons/celebration-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.skull_icon-color_5 {
    background: url(../images/icons/skull-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.sponsorship_icon-color_5 {
    background: url(../images/icons/coin-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.svg_animation_icon-color_5 {
    background: url(../images/icons/pattern-5.svg) no-repeat;
    background-position: center;
    background-size: 24px;
}

.details_trigger[data-direction="right"] {
    background: url(../images/icons/double-arrow-right-5.svg) no-repeat;
    background-position: center;
    background-size: 16px;
}

.details_trigger[data-direction="down"] {
    background: url(../images/icons/double-arrow-down-5.svg) no-repeat;
    background-position: center;
    background-size: 16px;
}

.details_trigger[data-direction="up"] {
    background: url(../images/icons/double-arrow-up-5.svg) no-repeat;
    background-position: center;
    background-size: 16px;
}

.details_trigger[data-direction="left"] {
    background: url(../images/icons/double-arrow-left-5.svg) no-repeat;
    background-position: center;
    background-size: 16px;
}

.rounded_widget_hr {
    width: calc(100% - 40px);
    height: 2px;
    border: none;
    outline: none;
    margin-top: 20px;
    margin-left: 20px;
    background-color: #adb5bd;
}

.form_right .rounded_widget fieldset {
    width: calc(100% - 40px);
    height: auto;
    border: none;
    outline: none;
    font-size: .9vw;
    font-weight: 300;
    margin-top: 20px;
    margin-left: 20px;
    color: #adb5bd;
    padding-top: 10px;
}

.form_right .rounded_widget fieldset legend {
    font-size: 16px;
    line-height: 16px;
}

.form_right .rounded_widget fieldset legend span {
    width: 16px;
    height: 16px;
    cursor: pointer;
    line-height: 16px;
    display: inline-block;
}

.form_right .rounded_widget fieldset p {
    display: block;
    font-weight: 600;
    position: relative;
}

.form_right .rounded_widget fieldset p span {
    font-weight: 300;
    padding-left: 10px;
}

.rounded_widget .search_btn {
    width: 32px;
    height: 32px;
    border: none;
    outline: none;
    cursor: pointer;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    background: #adb5bd url(../images/icons/magnifier.svg) no-repeat;
    background-position: center;
    background-size: 22px;
    border-top-left-radius: 0;
    -moz-border-top-left-radius: 0;
    -webkit-border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    -moz-border-bottom-left-radius: 0;
    -webkit-border-bottom-left-radius: 0;
    transition-duration: .35s;
    transition-property: background, box-shadow;
    transition-timing-function: ease-out;
}

.rounded_widget .refresh_btn {
    width: 32px;
    height: 32px;
    border: none;
    outline: none;
    cursor: pointer;
    margin-left: 20px;
    border-radius: 90px;
    -moz-border-radius: 90px;
    -webkit-border-radius: 90px;
    background: #adb5bd url(../images/icons/refresh.svg) no-repeat;
    background-position: center;
    background-size: 22px;
    transition-duration: .35s;
    transition-property: background, box-shadow;
    transition-timing-function: ease-out;
}

.rounded_widget label.switch {
    display: block;
    float: left;
}

.rounded_widget input,
.rounded_widget select {
    width: calc(100% - 40px);
    margin-left: 20px;
}

.rounded_widget .short_widget_input {
    width: calc(100% - 72px);
    float: left;
    clear: left;
    border-top-right-radius: 0;
    -moz-border-top-right-radius: 0;
    -webkit-border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    -moz-border-bottom-right-radius: 0;
    -webkit-border-bottom-right-radius: 0;
}

.form_left .rounded_widget .short_widget_input  {
    clear: unset;
    margin-left: unset;
}

.rounded_widget h3 {
    font-weight: 600;
    font-size: 18px;
    color: #adb5bd;
    line-height: 32px;
    text-indent: 20px;
    text-transform: uppercase;
}

.rounded_widget .standard_row h3 { text-indent: 10px; }

.rounded_widget_label {
    display: block;
    margin-top: 20px;
    color: #adb5bd;
    font-weight: 300;
    margin-left: 20px;
    font-size: 16px;
}

.rounded_widget_switch_label {
    height: 32px;
    float: left;
    clear: left;
    margin-left: 20px;
    font-size: 16px;
    font-weight: 300;
    line-height: 32px;
    color: #adb5bd;
    margin-right: 10px;
}

.form_left .rounded_widget_switch_label {
    margin-left: unset;
    margin-right: 10px;
}

.desc_label {
    display: block;
    color: #adb5bd;
    font-weight: 300;
    line-height: 32px;
    margin-top: 20px;
    margin-left: 20px;
    font-size: calc(10px + .35vw);
}

.standard_row {
    width: 100%;
    height: 32px;
    display: block;
    position: relative;
}

.double_row {
    width: 100%;
    height: 64px;
    display: block;
    position: relative;
}

.shortened_row {
    width: calc(100% - 40px);
    height: 32px;
    display: block;
    position: relative;
}

.input_row {
    width: 100%;
    height: 32px;
    display: block;
    margin-top: 20px;
    position: relative;
}

.form_row {
    width: calc(100% - 40px);
    min-height: 32px;
    max-height: 84px;
    margin-left: 20px;
}

.form_fieldset {
    width: auto;
    height: 32px;
    border: none;
    outline: none;
    display: inline-block;
}

.form_fieldset .form_input_container { margin-right: 5px; }

.form_input_container {
    width: auto;
    height: 100%;
    float: left;
    margin-right: 20px;
}

.form_input_container label {
    color: #adb5bd;
    font-weight: 300;
    line-height: 32px;
    margin-right: 20px;
    font-size: 16px;
}

.form_input_container input[type="tel"],
.form_input_container input[type="text"],
.form_input_container input[type="email"] {
    width: auto;
    height: 32px;
    border: none;
    outline: none;
    color: #212529;
    font-weight: 300;
    text-indent: 10px;
    margin-left: unset;
    background-color: #f8f9fa;
}

.input_row_left {
    width: 40%;
    height: 100%;
    float: left;
    clear: left;
}

.input_row_right {
    width: 60%;
    height: 100%;
    float: left;
}

.input_row label {
    color: #adb5bd;
    font-weight: 300;
    line-height: 32px;
    padding-left: 20px;
    font-size: 16px;
}

.input_row select {
    outline: none;
    color: #212529;
    font-weight: 300;
    width: calc(100% - 22px);
    height: calc(100% - 2px);
    font-size: 16px;
}

.input_row input {
    color: #212529;
    width: calc(100% - 20px);
    height: 100%;
    font-size: 16px;
}

.note_label {
    display: block;
    color: #adb5bd;
    font-weight: 300;
    line-height: 32px;
    margin-top: 20px;
    font-size: 16px;
}

.referrer_note {
    width: calc(100% - 64px);
    height: 108px;
    border: none;
    outline: none;
    padding: 20px;
    color: #212529;
    font-weight: 300;
    margin-top: 20px;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    font-size: 16px;
    background-color: #f8f9fa;
}

.control_row {
    width: calc(100% - 40px);
    height: 32px;
    bottom: 20px;
    margin-left: 20px;
    position: absolute;
}

.control_row button {
    width: 155px;
    height: 32px;
    border: none;
    outline: none;
    color: #f8f9fa;
    cursor: pointer;
    font-weight: 400;
    margin-right: 20px;
    text-align: center;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    font-size: 16px;
}

.no_select {
    user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
}

.cycle_btn {
    width: 32px;
    height: 32px;
    box-shadow: none;
    display: block;
    cursor: pointer;
    outline: none;
    border: none;
    z-index: 1;
    position: absolute;
    top: calc((50% - 20px) / 2);
}

.cycle_btn_prev {
    left: calc(33.33% + (10px / 3));;
    background: url(../images/icons/arrow-left.svg) no-repeat;
    background-position: center;
    background-size: 32px;
}

.cycle_btn_next {
    right: calc(33.33% + (10px / 3));
    background: url(../images/icons/arrow-right.svg) no-repeat;
    background-position: center;
    background-size: 32px;
}

.preview_btn {
    box-shadow: none;
    display: inline-block;
    background: #495057 url(../images/icons/preview.svg) no-repeat;
    background-position: 10px center;
    background-size: 16px 16px;
    -o-background-size: 16px 16px;
    -moz-background-size: 16px 16px;
    -webkit-background-size: 16px 16px;
    transition-duration: .35s;
    transition-property: color, background, box-shadow;
    transition-timing-function: ease-out;
}

.add_btn {
    width: 32px;
    height: 32px;
    border: none;
    outline: none;
    display: block;
    cursor: pointer;
    font-size: 2vw;
    box-shadow: none;
    color: #212529;
    font-weight: 600;
    line-height: 32px;
    text-align: center;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    background-color: #f7b801;
    transition-duration: .35s;
    transition-property: box-shadow;
    transition-timing-function: ease-out;
}

.save_btn {
    box-shadow: none;
    display: inline-block;
    background-color: #3d348b;
    transition-duration: .35s;
    transition-property: color, background, box-shadow;
    transition-timing-function: ease-out;
}

.erase_btn {
    color: #212529 !important;
    box-shadow: none;
    display: inline-block;
    background-color: #f7b801;
    transition-duration: .35s;
    transition-property: color, background, box-shadow;
    transition-timing-function: ease-out;
}

.minimize_dialog_btn {
    width: 32px;
    height: 32px;
    box-shadow: none;
    display: block;
    cursor: pointer;
    outline: none;
    border: none;
    border-radius: 90px;
    -moz-border-radius: 90px;
    -webkit-border-radius: 90px;
    transition-duration: .35s;
    transition-property: background, box-shadow;
    transition-timing-function: ease-out;
    background: url(../images/icons/close.svg) no-repeat;
    background-position: center;
    background-size: 32px;
}

.add_btn:hover,
.save_btn:hover,
.erase_btn:hover,
.search_btn:hover,
.refresh_btn:hover,
.preview_btn:hover {
    box-shadow: rgba(52, 58, 64, 0.25) 0px 30px 60px -12px inset, rgba(33, 37, 41, 0.3) 0px 18px 36px -18px inset;
}

dialog .control_row {
    width: calc(33% - (40px / 3));
    margin-left: unset;
}

dialog .control_row button {
    color: unset;
    margin-right: unset;
}

dialog .control_row .save_btn {
    color: #f8f9fa;
}

dialog h3 {
    font-size: 1.75vw;
    color: #f8f9fa;
    font-weight: 600;
    line-height: 32px;
    text-shadow: 3px 3px 5px rgba(33, 37, 41, 1);
}

dialog p {
    font-size: 16px;
    color: #f8f9fa;
    font-weight: 300;
    margin-top: 20px;
}


/*  END: UTILITIES  */

/*  GLOBAL ELEMENTS */

html {
    width: 100%;
    height: 100%;
}

body {
    height: 100vh;
    overflow: hidden;
    /* background-image: linear-gradient(5deg, #495057 0%, #343a40 50%, #212529 100%); */
    /* background-image: linear-gradient(45deg, #212529 0%, #343a40 50%, #495057 100%); */
    background-image: linear-gradient(0deg, #212529 0%, #343a40 75%);
}

dialog {
    width: calc(100% - 80px);
    height: calc(100% - 80px);
    z-index: 99;
    display: block;
    position: fixed;
    top: 20px;
    left: 0;
    right: 0;
    margin: auto;
    border: none;
    padding: 20px;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    backdrop-filter: blur( 13px );
    -webkit-backdrop-filter: blur( 13px );
    background: rgba( 248, 249, 250, 0.25 );
    outline: 5000px solid rgba(33, 37, 41, 0.9);
    box-shadow: 0 8px 32px 0 rgba(33, 37, 41, 0.37);
}

input,
select,
textarea {
    height: 32px;
    border: none;
    outline: none;
    font-weight: 400;
    color: #212529;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    background-color: #f8f9fa;
    font-size: 16px;
}

input, select { text-indent: 5px; }

textarea { resize: none; }

h1, h2, h3, h4, h5, h6 { font-weight: 700; }

/*  END: GLOBAL ELEMENTS  */

/*  HEADER  */

header {
    width: 100%;
    height: 64px;
    position: relative;
}

.header_rail {
    width: 320px;
    height: 100%;
    float: left;
    clear: left;
    position: relative;
    background-color: #212529;
}

header a.logo {
    width: 250px;
    height: 32px;
    float: left;
    clear: left;
    display: block;
    margin-top: 16px;
    text-indent: 20px;
    word-wrap: normal;
    text-decoration: none;
}

header h1,
.fixed_logo h1 {
    color: #f8f9fa;
    font-size: 24px;
    font-weight: 100;
    line-height: 32px;
    font-family: 'Archivo Black', sans-serif;
    text-shadow: 3px 3px 5px rgba(33, 37, 41, 1);
}

header h1 span,
.fixed_logo h1 span {
    font-size: 14px;
    color: #f7b801;
    letter-spacing: .05em;
    font-variant: small-caps;
    text-shadow: 3px 3px 5px rgba(33, 37, 41, 1);
    /* font-family: 'Fira Sans Condensed', sans-serif; */
    font-family: 'Archivo Black', sans-serif;
}

.dot_menu_btn {
    width: 32px;
    height: 32px;
    float: right;
    border: none;
    outline: none;
    cursor: pointer;
    margin-top: 16px;
    margin-right: 10px;
    background: url(../images/icons/vertical-dot-menu.svg) no-repeat;
    background-position: right;
    background-size: cover;
}

.utility_bar {
    width: calc(100% - 320px);
    height: 100%;
    float: left;
}

.breadcrumb_bar {
    width: calc(100% - 104px);
    height: 100%;
    float: left;
    clear: left;
}

.breadcrumb_bar a,
.breadcrumb_bar h2,
.breadcrumb_bar span,
.breadcrumb_bar a:link,
.breadcrumb_bar a:visited {
    width: auto;
    height: 32px;
    padding: 0;
    color: #f8f9fa;
    margin-top: 16px;
    font-weight: 300;
    margin-left: 20px;
    line-height: 32px;
    text-wrap: nowrap;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    transition-duration: .35s;
    transition-property: font-weight;
    transition-timing-function: ease-out;
}

.breadcrumb_bar a:hover {
    font-weight: 600;
}

.breadcrumb_bar h2 {
    cursor: default;
    font-weight: 300;
    text-decoration: underline;
}

.header_btn_container {
    width: 84px;
    height: 100%;
    float: right;
    margin-right: 20px;
    position: relative;
}

.user_menu_btn {
    width: 32px;
    height: 32px;
    border: none;
    outline: none;
    float: right;
    font-size: 16px;
    cursor: pointer;
    margin-top: 16px;
    color: #333330;
    font-weight: 700;
    text-align: center;
    background: #f8f9fa;
    text-decoration: none;
    border-radius: 90px;
    -moz-border-radius: 90px;
    -webkit-border-radius: 90px;
}

.user_menu_container {
    width: 200px;
    height: auto;
    top: 0;
    z-index: 5;
    background-color: #212529;
    position: absolute;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    transition-duration: .35s;
    transition-property: right;
    transition-timing-function: ease-out;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    -moz-box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.user_menu_container[data-status="open"] { right: 20px; }

.user_menu_container[data-status="closed"] { right: -220px; }

.user_menu_link,
.user_menu_link:link,
.user_menu_link:visited {
    width: 100%;
    height: auto;
    margin-top: 20px;
    cursor: pointer;
    font-size: 16px;
    line-height: 32px;
    color: #f8f9fa;
    text-indent: 62px;
    display: block;
    text-decoration: none;
    transition-duration: .35s;
    transition-property: opacity;
    transition-timing-function: ease-out;
}

.user_menu_link:hover {
    text-decoration: underline;
}

.user_menu_link:last-child { margin-bottom: 20px; }

.user_menu_container a.logout_btn {
    background: url(../images/icons/logout.svg) no-repeat;
    background-position: 20px center;
    background-size: 22px;
}

.user_menu_container a.preferences_btn {
    background: url(../images/icons/preferences.svg) no-repeat;
    background-position: 20px center;
    background-size: 22px;
}

.user_menu_container a.profile_btn {
    background: url(../images/icons/profile.svg) no-repeat;
    background-position: 20px center;
    background-size: 22px;
}

/*  END: HEADER  */

/*  MAIN CONTENT  */

main {
    width: calc(100% - 320px);
    height: calc(100% - 64px);
    float: right;
    display: block;
    position: relative;
}

.page_content {
    width: 100%;
    height: 100%;
}

.content_header {
    width: 100%;
    height: 32px;
    background-color: rgba(33,37,41,1);
    /* background-image: linear-gradient(to right, rgba(33,37,41,0), rgba(33,37,41,1)); */
}

.content_header h2 {
    color: #f8f9fa;
    font-weight: 600;
    line-height: 32px;
    padding-left: 20px;
    display: inline-block;
    text-transform: uppercase;
    font-size: 16px;
}

.content_container {
    width: 100%;
    height: 100%;
}

/*  END: MAIN CONTENT  */

/*  FOOTER  */

footer {
    width: 100%;
    height: 35px;
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: #212529;
}

footer .legal_nav {
    width: 33.33%;
    float: left;
    clear: left;
    line-height: 35px;
}

footer .legal_nav a,
footer .legal_nav a:link,
footer .legal_nav a:visited {
    color: #fff;
    font-size: 11px;
    text-decoration: none;
}

footer small.centered {
    width: 100%;
    color: #fff;
    float: right;
    display: block;
    font-size: 11px;
    line-height: 35px;
    margin-left: 20px;
    text-align: center;
}

footer label {
    float: left;
    color: #fff;
    display: block;
    font-size: 11px;
    margin-left: 20px;
    line-height: 35px;
    text-transform: uppercase;
}

/*  END: FOOTER  */

/*  VIEW LOADER  */

.view_loader {
    width: 100%;
    height: calc(100% - 60px);
    position: fixed;
    top: 60px;
    left: 0;
    opacity: 1;
    z-index: 10;
    background: #3b3f4a;
    transition-duration: .35s;
    transition-property: opacity;
    transition-timing-function: ease-out;
}

.view_loader[data-status="hidden"] { opacity: 0; }

.view_loader_icon {
    width: 150px;
    height: 150px;
    margin: 0 auto;
    margin-top: 175px;
    background: url(../images/icons/loading-white.svg) no-repeat;
    background-position: center;
    background-size: contain;
    -o-background-size: contain;
    -moz-background-size: contain;
    -webkit-background-size: contain;
    -webkit-animation: spin 3s linear infinite;
    -moz-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

.lbl_loading {
    width: 100%;
    color: #fff;
    font-size: 48px;
    font-weight: 100;
    margin-top: 50px;
    text-align: center;
    display: inline-block;
    letter-spacing: .05em;
    animation: flash 1s infinite;
    -moz-animation: flash 1s infinite;
    -webkit-animation: flash 1s infinite;
    animation-direction: alternate-reverse;
    -moz-animation-direction: alternate-reverse;
    -webkit-animation-direction: alternate-reverse;
}

/*  END: VIEW LOADER  */

/*  DASHBOARD  */

.dashboard {
    width: calc(100% - 40px);
    height: calc(100% - 44px);
    display: block;
    margin-top: 44px;
    margin-left: 20px;
    position: relative;
}

.widget_header,
.widget_footer {
    width: 100%;
    height: 32px;
}

.widget_body {
    width: 100%;
    height: calc(100% - 64px);
}

.double_widget_body {
    width: 100%;
    height: calc(100% - 32px);
    overflow-y: scroll;
}

.dashboard h4 {
    color: #adb5bd;
    font-weight: 300;
    line-height: 32px;
    text-align: center;
    font-size: 16px;
}

.widget_body data {
    font-size: 3.5vw;
    display: block;
    color: #adb5bd;
    line-height: 108px;
    text-align: center;
    font-weight: 600;
    text-shadow: 3px 3px 5px rgba(33, 37, 41, 1);
    /* font-family: 'Archivo Black', sans-serif; */
}

.dashboard_left_3_quarter {
    width: calc(65% - 10px);
    height: 100%;
    float: left;
    clear: left;
    display: block;
    position: relative;
}

.dashboard_right_1_quarter {
    width: calc(35% - 10px);
    height: 100%;
    float: right;
    display: block;
    position: relative;
    /* background: pink; */
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
}

.widget_footer a,
.widget_footer a:link,
.widget_footer a:visited {
    width: 100%;
    height: 100%;
    display: block;
    font-weight: 300;
    color: #adb5bd;
    font-size: .75vw;
    line-height: 32px;
    text-align: center;
    text-decoration: underline;
    transition-duration: .35s;
    transition-property: font-weight;
    transition-timing-function: ease-out;
}

.widget_footer a:hover {
    font-weight: 600;
}

.widget_row {
    width: 100%;
    height: 172px;
    margin-top: 20px;
}

.double_widget_row {
    width: 100%;
    height: 256px;
    margin-top: 20px;
}

.widget_row:first-child { margin-top: unset; }

.widget_row .half_widget:first-child,
.widget_row .third_widget:first-child {
    clear: left;
    margin-right: 20px;
}

.widget_row .third_widget:last-child {
    float: right;
}

.two_thirds_widget {
    width: calc(66.66% - 12px);
    height: 100%;
    display: block;
    position: relative;
}

.one_third_widget {
    width: calc(33.33% - 12px);
    height: 100%;
    display: block;
    position: relative;
}

.tall_full_widget {
    width: calc(100% - 2px);
    height: 640px;
    float: left;
    display: block;
    position: relative;
}

.full_widget {
    width: calc(100% - 2px);
    height: 100%;
    float: left;
    display: block;
    position: relative;
}

.half_widget {
    width: calc(50% - 12px);
    height: 100%;
    float: left;
    display: block;
    position: relative;
}

.widget_row .third_widget {
    width: calc(33.33% - (46px / 3));
    height: 100%;
    float: left;
    display: block;
    position: relative;
}

/* .dashboard_widget {
    background: rgba( 255, 255, 255, 0.25 );
    //box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.18 );
} */

.dashboard_widget {
    /* background: rgba(33,37,41,1); */
    background: #343a40;
    /* box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 ); */
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    border-radius: 10px;
    /* border: 1px solid rgba( 255, 255, 255, 0.18 ); */
}

.widget_item {
    width: calc(100% - 40px);
    height: 64px;
    margin-left: 20px;
}

.widget_item a,
.widget_item a:link,
.widget_item a:visited {
    width: 100%;
    height: calc(100% - 1px);
    display: block;
    cursor: pointer;
    background: none;
    border-radius: 0;
    color: #adb5bd;
    position: relative;
    text-decoration: none;
    border-top: 1px solid #212529;
    transition-duration: .35s;
    transition-property: background, border-radius;
    transition-timing-function: ease-out;
}

.widget_item a:hover {
    background: #212529;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
}

.widget_item_link_left {
    width: 68px;
    height: 100%;
    float: left;
    clear: left;
    display: block;
}

.widget_item_link_right {
    width: calc(100% - 68px);
    height: 100%;
    float: left;
    display: block;
}

.widget_item_row {
    width: 100%;
    height: 50%;
    display: block;
}

.widget_item_row span {
    color: #adb5bd;
    line-height: 32px;
    font-size: .75vw;
}

.track_avatar {
    width: 48px;
    height: 48px;
    display: block;
    margin-top: 8px;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    background: #212529 url(../images/icons/play.svg) no-repeat;
    background-position: center;
    background-size: 20px;
}

/*  END: DASHBOARD  */

/*  FILE DROP  */

.file_drop_container {
    width: calc(100% - 4px);
    height: calc(100% - 10px);
    display: block;
    box-shadow: none;
    position: relative;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    /* background: #343a40; */
    border: 2px dashed #adb5bd;
    transition-duration: .35s;
    transition-property: box-shadow;
    transition-timing-function: ease-out;
}

.file_drop_container[data-status="active"] {
    box-shadow: rgba(173, 181, 189, 0.35) 0px 5px 15px;
    -moz-box-shadow: rgba(173, 181, 189, 0.35) 0px 5px 15px;
    -webkit-box-shadow: rgba(173, 181, 189, 0.35) 0px 5px 15px;
}

.file_drop_container p {
    width: 100%;
    height: 32px;
    color: #adb5bd;
    font-weight: 300;
    margin-top: 20px;
    line-height: 32px;
    text-align: center;
    font-size: 16px;
}

.file_drop_container strong {
    font-weight: 600;
    text-decoration: underline;
}

.file_drop_container input[type="file"] {
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 2;
    cursor: pointer;
    margin-top: -52px;
    position: absolute;
    background-color: unset;
}

/*  END: FILE DROP  */

/*  NOTIFICATION BOX  */

.notification_box {
    box-shadow: 0px 11px 15px -7px rgb(0 0 0 / 20%), 0px 24px 38px 3px rgb(0 0 0 / 14%), 0px 9px 46px 8px rgb(0 0 0 / 12%);
    background: #fff;
    padding: 24px;
    z-index: 100;
    pointer-events: auto;
    box-sizing: border-box;
    color: rgba(0,0,0,.87);
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}

.notification_box[data-status="visible"] {
    opacity: 1;
}

.notification_box[data-status="hidden"] {
    opacity: 0;
}

/*  END: NOTIFICATION BOX  */

/*  TOGGLE SWITCH */

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 32px;
    border: none;
    outline: none;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #adb5bd;
    -webkit-transition: .35s;
    transition: .35s;
}
  
.slider:before {
    position: absolute;
    content: "OFF";
    height: 26px;
    width: 26px;
    left: 3px;
    bottom: 3px;
    line-height: 26px;
    font-weight: 600;
    font-size: .9vw;
    text-align: center;
    color: #adb5bd;
    background-color: #f8f9fa;
    -webkit-transition: .35s;
    transition: .35s;
}

input:checked + .slider {
    background-color: #79D663;
}

input:focus + .slider {
    box-shadow: 0 0 1px #79D663;
}

input:checked + .slider:before {
    content: "ON";
    line-height: 26px;
    font-weight: 600;
    font-size: .9vw;
    color: #79D663;
    text-align: center;
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

/*  END: TOGGLE SWITCH  */

/*  SELECT BOX  */

:root {
    --select-border: #323F5D;
    --select-focus: #323F5D;
    --select-arrow: var(--select-border);
}

/*  END: SELECT BOX  */

/*  PLACEHOLDER  */

::placeholder {
    font-size: 14px;
    font-style: italic;
    font-weight: 200;
    color: #999;
}

/*  END: PLACEHOLDER  */

/*  BROWSER SCROLLBAR  */

::-webkit-scrollbar {
    width: 10px;
    position: fixed;
    top: 0;
    right: 0;
}

::-webkit-scrollbar-track {
    padding: 0;
    border: none;
    outline: none;
    background: #adb5bd;
    border-bottom-right-radius: 10px;
    -moz-border-bottom-right-radius: 10px;
    -webkit-border-bottom-right-radius: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    background-color: #212529;
}

::-webkit-scrollbar-corner {
    background: none;
    background-color: transparent;
}

/*  END: BROWSER SCROLLBAR  */

/*  ANIMATION  */

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }

@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }

@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); } }

@-moz-keyframes flash {
    from { opacity: 1; }
    to { opacity: 0; }
}

@-webkit-keyframes flash {
    from { opacity: 1; }
    to { opacity: 0; }
}

@keyframes flash {
    from { opacity: 1; }
    to { opacity: 0; }
}

@-webkit-keyframes BackgroundChange {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}

@-moz-keyframes BackgroundChange {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}

@-o-keyframes BackgroundChange {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}

@keyframes BackgroundChange { 
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}

/*  END: ANIMATION  */

@media (max-width: 1025px) {

    .control_btn {
        font-size: 0;
    }

}

@media (max-width: 980px) {

    .panel_heading_container h3 {
        font-size: 18px;
        line-height: unset;
        text-align: center;
        text-decoration: underline;
    }

    .heading_wrapper {
        width: 100%;
        height: 50%;
        float: left;
    }

    .updated_time_wrapper {
        width: 100%;
        height: 50%;
        float: left;
    }

    .time_wrapper {
        width: calc(100% - 40px);
        margin-left: 20px;
    }

    .updated_time_controls {
        margin-top: unset;
    }

    .panel_heading_container label {
        width: unset;
        min-width: unset;
        line-height: unset;
        text-align: center;
    }

    .panel_icon { display: none; }

}